apache + php 5.2 и 5.3

Простые/общие вопросы по UNIX системам. Спросите здесь, если вы новичок

Модераторы: vadim64, terminus

Правила форума
Убедительная просьба юзать теги [cоde] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
dimnet
рядовой
Сообщения: 30
Зарегистрирован: 2007-11-06 16:16:16

apache + php 5.2 и 5.3

Непрочитанное сообщение dimnet » 2010-08-07 10:00:33

Как реализовать? если есть возможность то указать версию php в virtualhost

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Burner
лейтенант
Сообщения: 693
Зарегистрирован: 2009-06-14 7:02:26

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Burner » 2010-08-07 12:04:09

никак. Можно один php как cgi, другой как модуль апача использовать

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Electronik » 2010-08-09 17:09:39

А зачем Вам 2 версии PHP?
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

ev
ст. лейтенант
Сообщения: 1322
Зарегистрирован: 2008-07-27 17:11:30
Откуда: Москва

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение ev » 2010-08-09 18:06:34

А зачем Вам 2 версии PHP?
подобная проблема у многих - часть сайтов не работают под 5.3, а часть только под 5.3 (под 5.2 не работают)

dimnet
рядовой
Сообщения: 30
Зарегистрирован: 2007-11-06 16:16:16

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение dimnet » 2010-08-09 20:13:52

Electronik писал(а):А зачем Вам 2 версии PHP?
есть скрипты которые работают на php 5.2 но не работают на php 5.3
для более удбоного и плавного перехода.

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Electronik » 2010-08-09 20:46:44

Чисто теоретически. А что если использовать префикс установки, установить в разные каталоги, и в зависимости от нужной версии использовать тот PATH или symlink?
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

Аватара пользователя
FreeOwl
мл. сержант
Сообщения: 91
Зарегистрирован: 2008-09-04 14:20:55
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение FreeOwl » 2011-03-01 13:20:32

и всё таки, как?
нашёл вот это
но насколько я понял, нужно изменять расширения файлов, потом соответственно менять их в скриптах, и хорошо если они не генерируются каким-то хитрым образом...
как запустить две разных версии PHP на одном сервере, и если возможно, как указать кому каким пользоваться. Скажем всем из /www/site1, /www/*... - использовать по-умолчанию 5.3.*, а из /www/site2old - 5.2?

Bayerische
капитан
Сообщения: 1820
Зарегистрирован: 2010-12-25 20:41:50
Откуда: Хлебная столица

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Bayerische » 2011-03-01 13:32:41

Код: Выделить всё

часть только под 5.3 (под 5.2 не работают)
:shock:
Что за скрипты такие...

Аватара пользователя
FreeOwl
мл. сержант
Сообщения: 91
Зарегистрирован: 2008-09-04 14:20:55
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение FreeOwl » 2011-03-01 13:47:46

Bayerische писал(а):

Код: Выделить всё

часть только под 5.3 (под 5.2 не работают)
:shock:
Что за скрипты такие...
если это принципиально, то в компании приобрели "Реестр договоров", компании-изготовителя более нет, по крайней мере на "новом сайте" все контакты по ходу дохлые, под 5.3 не работает их "муть"... может и не муть, руководство говорит "надо, замечательная весчь" а сервер на котором сейчас стоит это дело, надо под другие нужды, есть ещё один, а там 5.3. и "куча " всего работает. делать даунгрейд - ломает, да и мало-ли вдруг из того что там уже работает, откажется с 5.2 дружить... я не программист переписывать чужой код, состряпать чего-нить "для себя" - куда не шло, а перечитать и переписать происки кого-то другого - увы, увы... так что вот, надо бы как-то запустить 5.2.... ща попробую на виртуалке, потренеруюсь, если удастся поставить по вышеуказанной мной схеме и "поиграться" с расширениями - будет чудненько, а если нет - будет бяда...

Bayerische
капитан
Сообщения: 1820
Зарегистрирован: 2010-12-25 20:41:50
Откуда: Хлебная столица

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Bayerische » 2011-03-01 14:02:56

Меня обратное удивило — кто это понаписал уже "только под 5.3", когда его не везде встретишь.

Аватара пользователя
FreeOwl
мл. сержант
Сообщения: 91
Зарегистрирован: 2008-09-04 14:20:55
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение FreeOwl » 2011-03-05 11:02:01

Итак, установил как указано в этом источнике

Этот "Реестр договоров", ради которого всё затевалось, не желает он работать под установленным таким образом PHP 5.2. Говорит:
Для работы Реестра договоров требуется web-сервер Apache, версии не ниже 2.0.
а phpinfo() говорит:
SERVER_SOFTWARE Apache/2.2.17 (FreeBSD) mod_ssl/2.2.17 OpenSSL/0.9.8q DAV/2 PHP/5.2.17
помогите разобраться, "куда смотреть", чего ему надо, чего не нравится?

спасибо.

Bayerische
капитан
Сообщения: 1820
Зарегистрирован: 2010-12-25 20:41:50
Откуда: Хлебная столица

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Bayerische » 2011-03-05 11:15:10

httpd.conf libphp5.so заводится?

Аватара пользователя
FreeOwl
мл. сержант
Сообщения: 91
Зарегистрирован: 2008-09-04 14:20:55
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение FreeOwl » 2011-03-05 12:56:52

Bayerische писал(а):httpd.conf libphp5.so заводится?
apache стартует без проблем.
libphp5.so в наличии имеется, запускается и с со и без оной... но в моём случае, если я не прав, поправьте, в httpd.conf libphp5.so - быть не должно.
Server API CGI/FastCGI

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Electronik » 2011-03-05 13:05:21

Запихните в jail то что должно работать с php5.2
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

Аватара пользователя
FreeOwl
мл. сержант
Сообщения: 91
Зарегистрирован: 2008-09-04 14:20:55
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение FreeOwl » 2011-03-05 21:25:28

Electronik писал(а):Запихните в jail то что должно работать с php5.2
опаньки, после выходных попробую :) сенкс

dimnet
рядовой
Сообщения: 30
Зарегистрирован: 2007-11-06 16:16:16

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение dimnet » 2011-03-05 21:51:22

а подскажите как ?
ну можно два апача и два пхп в два разные тюрмы засунуть ,а как к одному апачу два пхп но чтоб прозрачно?

Аватара пользователя
Electronik
капитан
Сообщения: 1593
Зарегистрирован: 2008-11-15 17:32:56
Откуда: Минск
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение Electronik » 2011-03-05 22:36:26

никак. для каждого jail свой apache и php
Предскажем будущее hw по логам и дампу, снимем сглаз и порчу с рута, поможем придумать пароль(С)
Блог

Аватара пользователя
FreeOwl
мл. сержант
Сообщения: 91
Зарегистрирован: 2008-09-04 14:20:55
Контактная информация:

Re: apache + php 5.2 и 5.3

Непрочитанное сообщение FreeOwl » 2011-03-05 23:59:57

Electronik писал(а):никак. для каждого jail свой apache и php
да ладно. читай источник указанный мною выше